#!/usr/bin/env python
# vim: set ts=4 sts=4 sw=4 textwidth=80:

"""
A package which has many different types of PAR2Sets and their corresponding
detection functions.

Each (non-base) class in this package is able to repair, extract, and delete
extra files from the corresponding set of files.
"""

__author__    = "Ira W. Snyder (devel@irasnyder.com)"
__copyright__ = "Copyright (c) 2006-2008 Ira W. Snyder (devel@irasnyder.com)"
__license__   = "GNU GPL v2 (or, at your option, any later version)"

# Utilities and a PAR2 file parser
import utils
import par2parser

# All of the PAR2Set classes
from CompareSet import CompareSet
from Base import Base
from NewRAR import NewRAR
from OldRAR import OldRAR
from Join import Join
from NoExtract import NoExtract
from ZIP import ZIP
from ExtractFirstBase import ExtractFirstBase
from ExtractFirstNewRAR import ExtractFirstNewRAR
from ExtractFirstOldRAR import ExtractFirstOldRAR

__all__ = ['utils', 'par2parser', 'CompareSet', 'Base', 'ExtractFirstBase',
           'ExtractFirstNewRAR', 'ExtractFirstOldRAR', 'Join', 'NewRAR',
           'NoExtract', 'OldRAR', 'ZIP']

