#!/usr/bin/env python
# vim: set ts=4 sts=4 sw=4 textwidth=80:

from distutils.core import setup

from rarslave import PROGRAM
from rarslave import VERSION

setup (
		name=PROGRAM,
		version=VERSION,
		url='http://www.irasnyder.com/devel/#rarslave',
		description='Automatic PAR2 Verification and Extraction Tool',
		author='Ira W. Snyder',
		author_email='devel@irasnyder.com',
		maintainer='Ira W. Snyder',
		maintainer_email='devel@irasnyder.com',
		license='GNU GPL v2',
		long_description="""
Rarslave is a program that will automatically check, repair, and extract files
which are protected by PAR2. The primary reason for its development was to
automate the tedious tasks necessary after downloading files from Usenet.""",
		packages=['PAR2Set'],
		scripts=['rarslave.py']
      )

